Subject: Offline Message from Ghada Elba : Hello I would like to see the evenflo touri
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Tue, 30 Jun 2020 05:45:41 -0000

From: Ghada Elba  <[email-masked]>
Phone: 
Location: Sharjah, United Arab Emirates
URL: https://www.mumzworld.com/en/dailydeals?catid=695&gclid=CObksc3pqOoCFZEYGwodEZECGQ&gclsrc=ds&p=2&utm_campaign=smartly-ae-prospecting-%5Balw_dailydeals%5D%3A%28en%29-conversions&utm_content=Gear&utm_id=5ef0dae3a1fa194c0e364bee&utm_medium=cpc&utm_source=facebook&utm_term=Lookalike
Department: 

Hello
I would like to see the evenflo touring stroller deep lake in real, is there a store where I can see it or your warehouse or office please?

I would like to see its size weight and maneuvering ..etc

Thank you

----
Zopim
https://www.zopim.com